apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: ctf-easy-math
    challenge: easy-math
  name: ctf-easy-math
  namespace: ctf
spec:
  replicas: 0
  selector:
    matchLabels:
      app: ctf-easy-math
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      annotations:
        ovn.kubernetes.io/ip_address: 172.18.64.2
        ovn.kubernetes.io/logical_switch: wan
      creationTimestamp: null
      labels:
        app: ctf-easy-math
        challenge: easy-math
    spec:
      containers:
      - image: registry.gitlab.com/c2-games/ctf/challenges/ctf-easy-math:2022-regional
        imagePullPolicy: Always
        name: ctf-easy-math
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      imagePullSecrets:
      - name: ctf-challenges-gitlab-pull-secret
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
